Skip to main content
POST
/
v1
/
videos
Create Video
curl --request POST \
  --url https://utoken-test.uuzu.com/v1/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'model=<string>' \
  --form 'prompt=<string>' \
  --form 'image=<string>' \
  --form duration=123 \
  --form width=123 \
  --form height=123 \
  --form fps=123 \
  --form seed=123 \
  --form n=123 \
  --form 'response_format=<string>' \
  --form 'user=<string>' \
  --form 'metadata={}'
{
  "id": "<string>",
  "object": "<string>",
  "model": "<string>",
  "status": "<string>",
  "progress": 123,
  "created_at": 123,
  "seconds": "<string>",
  "completed_at": 123,
  "expires_at": 123,
  "size": "<string>",
  "error": {
    "message": "<string>",
    "code": "<string>"
  },
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.utoken.wgame-hk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer Token authentication Format: Authorization: Bearer sk-xxxxxx

Body

multipart/form-data

Video generation request

model
string

Model/Style ID

Example:

"kling-v1"

prompt
string

Text description prompt

Example:

"An astronaut stood up and walked"

image
string

Image input (URL or Base64)

Example:

"https://example.com/image.jpg"

duration
number

Video duration (seconds)

Example:

5

width
integer

Video width

Example:

1280

height
integer

Video height

Example:

720

fps
integer

Video frame rate

Example:

30

seed
integer

Random seed

Example:

20231234

n
integer

Number of videos to generate

Example:

1

response_format
string

Response format

Example:

"url"

user
string

User identifier

Example:

"user-1234"

metadata
object

Extended parameters (e.g., negative_prompt, style, quality_level, etc.)

Response

Success - Video task created

id
string
required

Video ID

object
string
required

Object Type

model
string
required

Model used

status
string
required

Task Status

progress
integer
required

Progress percentage

created_at
integer
required

Created Timestamp

seconds
string
required

Video duration

completed_at
integer

Completion timestamp

expires_at
integer

Expiration timestamp

size
string

Video dimensions

error
object

OpenAI video error message

metadata
object

Additional metadata